Subject: bug#35138: guix system search needs installer

From: Jonathan Brielmaier <[email-masked]>
Date: Thu, 4 Apr 2019 10:54:57 +0200

Hi,

during the use of the openSUSE package of Guix I found a little "bug".
Running "guix system search" results in:

guix system: warning: failed to load '(gnu system install)':
no code for module (gnu installer)

So I packaged guile-newt and configured the guix package with
"--enable-installer". Now this problem is gone :)

I just wonder if we should document this, so that it's clear
"--enable-installer" is not only needed for the installer. Or maybe
there is a way to remove the dependency for "guix system search" on (gnu
installer).

~Jonathan